function InFlight:LoadDefaults()
	DEFAULT_CHAT_FRAME:AddMessage("InFlight: default data loaded.");
	InFlightVars = {
		["Alliance"] = {
			["Marshal's Refuge"] = {
				["Rut'theran Village"] = 833,
				["Gadgetzan"] = 107,
				["Auberdine"] = 746,
				["Cenarion Hold"] = 98,
				["Feathermoon"] = 276,
			},
			["Light's Hope Chapel"] = {
				["Morgan's Vigil"] = 566,
				["Thorium Point"] = 467,
				["Aerie Peak"] = 175,
				["Lakeshire"] = 835,
				["Menethil Harbor"] = 378,
				["Booty Bay"] = 835,
				["Chillwind Camp"] = 154,
				["Darkshire"] = 906,
				["Nethergarde Keep"] = 779,
				["Stormwind"] = 588,
				["Sentinel Hill"] = 670,
				["Thelsamar"] = 424,
				["Refuge Pointe"] = 250,
				["Ironforge"] = 374,
				["Southshore"] = 243,
			},
			["Ratchet"] = {
				["Theramore"] = 108,
			},
			["Talrendis Point"] = {
				["Everlook"] = 181,
				["Rut'theran Village"] = 393,
				["Gadgetzan"] = 407,
				["Thalanaar"] = 411,
				["Astranaar"] = 486,
				["Theramore"] = 245,
				["Cenarion Hold"] = 619,
				["Auberdine"] = 306,
			},
			["Chillwind Camp"] = {
				["Refuge Pointe"] = 237,
				["Thorium Point"] = 355,
				["Aerie Peak"] = 162,
				["Lakeshire"] = 723,
				["Menethil Harbor"] = 201,
				["Ironforge"] = 262,
				["Darkshire"] = 794,
				["Nethergarde Keep"] = 667,
				["Stormwind"] = 475,
				["Thelsamar"] = 411,
				["Sentinel Hill"] = 558,
				["Light's Hope Chapel"] = 153,
				["Morgan's Vigil"] = 454,
				["Booty Bay"] = 723,
				["Southshore"] = 87,
			},
			["Nijel's Point"] = {
				["Gadgetzan"] = 469,
				["Theramore"] = 309,
				["Auberdine"] = 284,
				["Everlook"] = 601,
				["Talonbranch Glade"] = 477,
				["Rut'theran Village"] = 369,
			},
			["Gadgetzan"] = {
				["Marshal's Refuge"] = 107,
				["Ratchet"] = 278,
				["Thalanaar"] = 181,
				["Nijel's Point"] = 495,
				["Theramore"] = 157,
				["Cenarion Hold"] = 200,
				["Feathermoon"] = 351,
			},
			["Thelsamar"] = {
				["Refuge Pointe"] = 165,
				["Thorium Point"] = 207,
				["Aerie Peak"] = 238,
				["Lakeshire"] = 447,
				["Menethil Harbor"] = 156,
				["Ironforge"] = 117,
				["Chillwind Camp"] = 407,
				["Darkshire"] = 450,
				["Nethergarde Keep"] = 563,
				["Stormwind"] = 331,
				["Sentinel Hill"] = 411,
				["Booty Bay"] = 576,
				["Morgan's Vigil"] = 311,
				["Light's Hope Chapel"] = 412,
				["Southshore"] = 288,
			},
			["Astranaar"] = {
				["Auberdine"] = 149,
			},
			["Feathermoon"] = {
				["Gadgetzan"] = 344,
				["Rut'theran Village"] = 557,
				["Auberdine"] = 470,
				["Everlook"] = 788,
				["Talonbranch Glade"] = 663,
				["Thalanaar"] = 170,
				["Cenarion Hold"] = 167,
				["Theramore"] = 334,
			},
			["Southshore"] = {
				["Light's Hope Chapel"] = 243,
				["Thorium Point"] = 245,
				["Aerie Peak"] = 74,
				["Lakeshire"] = 673,
				["Menethil Harbor"] = 114,
				["Ironforge"] = 210,
				["Chillwind Camp"] = 85,
				["Thelsamar"] = 249,
				["Nethergarde Keep"] = 617,
				["Stormwind"] = 418,
				["Sentinel Hill"] = 499,
				["Morgan's Vigil"] = 404,
				["Refuge Pointe"] = 75,
				["Booty Bay"] = 667,
				["Darkshire"] = 744,
			},
			["Refuge Pointe"] = {
				["Morgan's Vigil"] = 408,
				["Thorium Point"] = 309,
				["Aerie Peak"] = 73,
				["Lakeshire"] = 677,
				["Menethil Harbor"] = 131,
				["Booty Bay"] = 683,
				["Chillwind Camp"] = 130,
				["Darkshire"] = 748,
				["Nethergarde Keep"] = 621,
				["Stormwind"] = 434,
				["Sentinel Hill"] = 515,
				["Thelsamar"] = 173,
				["Light's Hope Chapel"] = 242,
				["Ironforge"] = 274,
				["Southshore"] = 91,
			},
			["Thorium Point"] = {
				["Refuge Pointe"] = 344,
				["Aerie Peak"] = 398,
				["Lakeshire"] = 368,
				["Menethil Harbor"] = 229,
				["Ironforge"] = 96,
				["Chillwind Camp"] = 393,
				["Darkshire"] = 439,
				["Nethergarde Keep"] = 312,
				["Stormwind"] = 253,
				["Thelsamar"] = 200,
				["Sentinel Hill"] = 505,
				["Morgan's Vigil"] = 99,
				["Light's Hope Chapel"] = 449,
				["Booty Bay"] = 612,
				["Southshore"] = 338,
			},
			["Auberdine"] = {
				["Moonglade"] = 153,
				["Theramore"] = 694,
				["Stonetalon Peak"] = 182,
				["Everlook"] = 286,
				["Rut'theran Village"] = 85,
				["Thalanaar"] = 646,
				["Talrendis Point"] = 305,
				["Nijel's Point"] = 285,
				["Talonbranch Glade"] = 193,
				["Cenarion Hold"] = 642,
				["Feathermoon"] = 476,
				["Astranaar"] = 179,
			},
			["Aerie Peak"] = {
				["Refuge Pointe"] = 75,
				["Thorium Point"] = 354,
				["Lakeshire"] = 723,
				["Menethil Harbor"] = 203,
				["Booty Bay"] = 722,
				["Chillwind Camp"] = 57,
				["Darkshire"] = 793,
				["Nethergarde Keep"] = 666,
				["Stormwind"] = 475,
				["Thelsamar"] = 249,
				["Sentinel Hill"] = 557,
				["Morgan's Vigil"] = 453,
				["Light's Hope Chapel"] = 169,
				["Ironforge"] = 262,
				["Southshore"] = 68,
			},
			["Lakeshire"] = {
				["Refuge Pointe"] = 633,
				["Thorium Point"] = 374,
				["Aerie Peak"] = 690,
				["Menethil Harbor"] = 509,
				["Ironforge"] = 376,
				["Chillwind Camp"] = 666,
				["Darkshire"] = 71,
				["Stormwind"] = 115,
				["Thelsamar"] = 480,
				["Sentinel Hill"] = 136,
				["Booty Bay"] = 244,
				["Morgan's Vigil"] = 266,
				["Light's Hope Chapel"] = 729,
				["Southshore"] = 645,
			},
			["Stonetalon Peak"] = {
				["Astranaar"] = 155,
			},
			["Everlook"] = {
				["Moonglade"] = 123,
				["Talrendis Point"] = 179,
				["Rut'theran Village"] = 365,
				["Gadgetzan"] = 584,
				["Astranaar"] = 665,
				["Thalanaar"] = 590,
				["Theramore"] = 424,
				["Nijel's Point"] = 565,
				["Talonbranch Glade"] = 125,
				["Cenarion Hold"] = 798,
				["Feathermoon"] = 755,
				["Auberdine"] = 280,
				["Bloodvenom Post"] = 197,
				["Valormok"] = 136,
				["Orgrimmar"] = 298,
			},
			["Rut'theran Village"] = {
				["Moonglade"] = 241,
				["Everlook"] = 374,
				["Nijel's Point"] = 373,
				["Astranaar"] = 264,
				["Talonbranch Glade"] = 281,
				["Thalanaar"] = 733,
				["Cenarion Hold"] = 730,
				["Feathermoon"] = 563,
				["Auberdine"] = 86,
			},
			["Darkshire"] = {
				["Refuge Pointe"] = 791,
				["Aerie Peak"] = 836,
				["Lakeshire"] = 64,
				["Menethil Harbor"] = 667,
				["Booty Bay"] = 173,
				["Chillwind Camp"] = 843,
				["Thelsamar"] = 637,
				["Stormwind"] = 90,
				["Sentinel Hill"] = 98,
				["Ironforge"] = 534,
				["Light's Hope Chapel"] = 885,
				["Southshore"] = 802,
			},
			["Nethergarde Keep"] = {
				["Refuge Pointe"] = 699,
				["Thorium Point"] = 305,
				["Aerie Peak"] = 752,
				["Lakeshire"] = 157,
				["Menethil Harbor"] = 576,
				["Booty Bay"] = 266,
				["Chillwind Camp"] = 741,
				["Darkshire"] = 93,
				["Stormwind"] = 198,
				["Thelsamar"] = 546,
				["Sentinel Hill"] = 191,
				["Morgan's Vigil"] = 239,
				["Light's Hope Chapel"] = 794,
				["Ironforge"] = 443,
				["Southshore"] = 710,
			},
			["Thalanaar"] = {
				["Gadgetzan"] = 174,
				["Rut'theran Village"] = 874,
				["Auberdine"] = 786,
				["Theramore"] = 164,
				["Astranaar"] = 967,
				["Talrendis Point"] = 403,
				["Cenarion Hold"] = 375,
				["Feathermoon"] = 170,
			},
			["Ironforge"] = {
				["Refuge Pointe"] = 257,
				["Thorium Point"] = 89,
				["Aerie Peak"] = 302,
				["Lakeshire"] = 458,
				["Menethil Harbor"] = 132,
				["Booty Bay"] = 462,
				["Chillwind Camp"] = 297,
				["Darkshire"] = 529,
				["Nethergarde Keep"] = 402,
				["Stormwind"] = 214,
				["Sentinel Hill"] = 294,
				["Thelsamar"] = 104,
				["Light's Hope Chapel"] = 353,
				["Morgan's Vigil"] = 189,
				["Southshore"] = 268,
			},
			["Morgan's Vigil"] = {
				["Light's Hope Chapel"] = 560,
				["Thorium Point"] = 107,
				["Aerie Peak"] = 505,
				["Lakeshire"] = 270,
				["Menethil Harbor"] = 339,
				["Booty Bay"] = 513,
				["Chillwind Camp"] = 501,
				["Thelsamar"] = 307,
				["Nethergarde Keep"] = 213,
				["Stormwind"] = 154,
				["Sentinel Hill"] = 234,
				["Darkshire"] = 124,
				["Refuge Pointe"] = 460,
				["Ironforge"] = 204,
				["Southshore"] = 472,
			},
			["Menethil Harbor"] = {
				["Refuge Pointe"] = 116,
				["Thorium Point"] = 191,
				["Aerie Peak"] = 184,
				["Lakeshire"] = 559,
				["Ironforge"] = 91,
				["Chillwind Camp"] = 198,
				["Darkshire"] = 630,
				["Nethergarde Keep"] = 503,
				["Stormwind"] = 263,
				["Thelsamar"] = 166,
				["Sentinel Hill"] = 386,
				["Light's Hope Chapel"] = 343,
				["Morgan's Vigil"] = 290,
				["Booty Bay"] = 553,
				["Southshore"] = 110,
			},
			["Stormwind"] = {
				["Refuge Pointe"] = 512,
				["Thorium Point"] = 252,
				["Aerie Peak"] = 565,
				["Lakeshire"] = 116,
				["Menethil Harbor"] = 348,
				["Booty Bay"] = 249,
				["Chillwind Camp"] = 510,
				["Thelsamar"] = 367,
				["Nethergarde Keep"] = 179,
				["Darkshire"] = 119,
				["Sentinel Hill"] = 81,
				["Morgan's Vigil"] = 160,
				["Light's Hope Chapel"] = 569,
				["Ironforge"] = 263,
				["Southshore"] = 506,
			},
			["Theramore"] = {
				["Marshal's Refuge"] = 267,
				["Auberdine"] = 622,
				["Gadgetzan"] = 160,
				["Talrendis Point"] = 238,
				["Ratchet"] = 120,
				["Nijel's Point"] = 337,
				["Cenarion Hold"] = 357,
				["Feathermoon"] = 336,
				["Thalanaar"] = 166,
			},
			["Sentinel Hill"] = {
				["Light's Hope Chapel"] = 700,
				["Thorium Point"] = 355,
				["Aerie Peak"] = 659,
				["Lakeshire"] = 132,
				["Menethil Harbor"] = 482,
				["Booty Bay"] = 187,
				["Chillwind Camp"] = 647,
				["Darkshire"] = 100,
				["Nethergarde Keep"] = 193,
				["Stormwind"] = 89,
				["Thelsamar"] = 452,
				["Refuge Pointe"] = 605,
				["Morgan's Vigil"] = 248,
				["Ironforge"] = 349,
				["Southshore"] = 617,
			},
			["Talonbranch Glade"] = {
				["Marshal's Refuge"] = 809,
				["Moonglade"] = 69,
				["Theramore"] = 542,
				["Everlook"] = 124,
				["Rut'theran Village"] = 275,
				["Gadgetzan"] = 702,
				["Thalanaar"] = 708,
				["Auberdine"] = 188,
				["Nijel's Point"] = 473,
				["Astranaar"] = 366,
				["Cenarion Hold"] = 830,
				["Feathermoon"] = 663,
				["Talrendis Point"] = 297,
			},
			["Cenarion Hold"] = {
				["Moonglade"] = 801,
				["Theramore"] = 349,
				["Talrendis Point"] = 587,
				["Rut'theran Village"] = 734,
				["Gadgetzan"] = 191,
				["Everlook"] = 768,
				["Ratchet"] = 469,
				["Auberdine"] = 648,
				["Talonbranch Glade"] = 841,
				["Astranaar"] = 1155,
				["Thalanaar"] = 373,
				["Feathermoon"] = 178,
				["Thunder Bluff"] = 393,
				["Valormok"] = 572,
				["Shadowprey Village"] = 334,
				["Splintertree Post"] = 562,
				["Freewind Post"] = 241,
				["Bloodvenom Post"] = 644,
				["Camp Mojache"] = 132,
				["Sun Rock Retreat"] = 535,
				["Orgrimmar"] = 536,
				["Camp Taurajo"] = 379,
				["Crossroads"] = 401,
				["Brackenwall Village"] = 470,
				["Zoram'gar Outpost"] = 632,
			},
			["Moonglade"] = {
				["Marshal's Refuge"] = 873,
				["Everlook"] = 133,
				["Rut'theran Village"] = 230,
				["Gadgetzan"] = 718,
				["Thalanaar"] = 724,
				["Nijel's Point"] = 429,
				["Talrendis Point"] = 312,
				["Auberdine"] = 144,
				["Talonbranch Glade"] = 64,
				["Astranaar"] = 323,
				["Cenarion Hold"] = 786,
				["Feathermoon"] = 620,
				["Theramore"] = 558,
			},
			["Booty Bay"] = {
				["Refuge Pointe"] = 740,
				["Thorium Point"] = 481,
				["Aerie Peak"] = 791,
				["Menethil Harbor"] = 618,
				["Ironforge"] = 484,
				["Chillwind Camp"] = 773,
				["Darkshire"] = 176,
				["Stormwind"] = 222,
				["Thelsamar"] = 587,
				["Light's Hope Chapel"] = 773,
				["Morgan's Vigil"] = 374,
				["Southshore"] = 753,
				["Stonard"] = 252,
				["Grom'gol"] = 103,
				["Kargath"] = 395,
			},
		},
		["Horde"] = {
			["Marshal's Refuge"] = {
				["Gadgetzan"] = 116,
			},
			["Cenarion Hold"] = {
				["Gadgetzan"] = 247,
			},
			["Crossroads"] = {
				["Camp Taurajo"] = 91,
				["Bloodvenom Post"] = 244,
				["Sun Rock Retreat"] = 144,
				["Zoram'gar Outpost"] = 232,
				["Brackenwall Village"] = 164,
				["Ratchet"] = 53,
				["Camp Mojache"] = 255,
				["Gadgetzan"] = 311,
				["Freewind Post"] = 189,
				["Valormok"] = 171,
				["Thunder Bluff"] = 183,
				["Splintertree Post"] = 161,
				["Orgrimmar"] = 143,
				["Cenarion Hold"] = 387,
				["Shadowprey Village"] = 336,
				["Moonglade"] = 404,
				["Everlook"] = 303,
			},
			["Kargath"] = {
				["Undercity"] = 500,
				["Grom'gol"] = 316,
				["Hammerfall"] = 258,
				["Booty Bay"] = 435,
				["Flame Crest"] = 89,
				["Revantusk Village"] = 350,
				["Stonard"] = 283,
				["Thorium Point"] = 58,
				["Light's Hope Chapel"] = 490,
				["Tarren Mill"] = 376,
			},
			["Bloodvenom Post"] = {
				["Crossroads"] = 270,
				["Moonglade"] = 161,
				["Everlook"] = 194,
				["Orgrimmar"] = 248,
				["Thunder Bluff"] = 443,
				["Valormok"] = 242,
				["Shadowprey Village"] = 604,
				["Freewind Post"] = 458,
				["Brackenwall Village"] = 433,
				["Camp Mojache"] = 524,
				["Sun Rock Retreat"] = 413,
				["Camp Taurajo"] = 361,
				["Zoram'gar Outpost"] = 501,
			},
			["Light's Hope Chapel"] = {
				["Undercity"] = 277,
				["Kargath"] = 494,
				["Revantusk Village"] = 143,
				["The Sepulcher"] = 367,
				["Thorium Point"] = 467,
				["Booty Bay"] = 835,				
			},
			["Shadowprey Village"] = {
				["Thunder Bluff"] = 173,
				["Camp Mojache"] = 205,
				["Gadgetzan"] = 408,
				["Crossroads"] = 353,
				["Splintertree Post"] = 514,
				["Freewind Post"] = 314,
				["Bloodvenom Post"] = 596,
				["Sun Rock Retreat"] = 201,
				["Moonglade"] = 757,
				["Cenarion Hold"] = 337,
				["Orgrimmar"] = 382,
				["Camp Taurajo"] = 261,
				["Brackenwall Village"] = 414,
				["Zoram'gar Outpost"] = 584,
			},
			["Thorium Point"] = {
				["Flame Crest"] = 78,
				["Revantusk Village"] = 421,
				["Undercity"] = 558,
				["Booty Bay"] = 493,
				["Tarren Mill"] = 435,
				["Light's Hope Chapel"] = 561,
				["Grom'gol"] = 374,
				["Hammerfall"] = 317,
				["Stonard"] = 278,
				["Kargath"] = 59,
			},
			["Ratchet"] = {
				["Crossroads"] = 69,
				["Camp Taurajo"] = 159,
				["Cenarion Hold"] = 452,
			},
			["Brackenwall Village"] = {
				["Crossroads"] = 165,
				["Orgrimmar"] = 230,
				["Everlook"] = 467,
				["Thunder Bluff"] = 231,
				["Gadgetzan"] = 223,
				["Shadowprey Village"] = 392,
				["Splintertree Post"] = 325,
				["Sun Rock Retreat"] = 308,
				["Moonglade"] = 568,
				["Bloodvenom Post"] = 408,
				["Camp Taurajo"] = 256,
				["Valormok"] = 335,
				["Zoram'gar Outpost"] = 396,
			},
			["Revantusk Village"] = {
				["Undercity"] = 286,
				["Tarren Mill"] = 170,
				["Light's Hope Chapel"] = 140,
				["Hammerfall"] = 95,
				["Undercity"] = 286,
				["Tarren Mill"] = 170,
			},
			["Hammerfall"] = {
				["Undercity"] = 257,
				["Tarren Mill"] = 118,
				["Kargath"] = 261,
				["Revantusk Village"] = 92,
				["Booty Bay"] = 696,
				["Stonard"] = 543,
				["Light's Hope Chapel"] = 232,
				["Grom'gol"] = 576,
				["Thorium Point"] = 318,
			},
			["Everlook"] = {
				["Bloodvenom Post"] = 197,
				["Moonglade"] = 145,
				["Orgrimmar"] = 298,
				["Cenarion Hold"] = 798,
				["Feathermoon"] = 755,
				["Auberdine"] = 280,
				["Bloodvenom Post"] = 197,
				["Valormok"] = 136,
				["Orgrimmar"] = 298,
			},
			["Flame Crest"] = {
				["Kargath"] = 89,
				["Stonard"] = 200,
				["Revantusk Village"] = 440,
				["Booty Bay"] = 461,
				["Tarren Mill"] = 466,
				["Undercity"] = 589,
				["Light's Hope Chapel"] = 591,
				["Grom'gol"] = 390,
				["Hammerfall"] = 348,
				["Thorium Point"] = 73,
			},
			["Orgrimmar"] = {
				["Marshal's Refuge"] = 526,
				["Ratchet"] = 174,
				["Crossroads"] = 111,
				["Gadgetzan"] = 421,
				["Brackenwall Village"] = 231,
				["Valormok"] = 100,
				["Thunder Bluff"] = 227,
				["Bloodvenom Post"] = 255,
				["Splintertree Post"] = 91,
				["Everlook"] = 322,
				["Shadowprey Village"] = 388,
				["Freewind Post"] = 301,
				["Bloodvenom Post"] = 249,
				["Camp Mojache"] = 367,
				["Sun Rock Retreat"] = 262,
				["Moonglade"] = 377,
				["Cenarion Hold"] = 504,
				["Camp Taurajo"] = 204,
				["Zoram'gar Outpost"] = 261,
			},
			["Freewind Post"] = {
				["Crossroads"] = 196,
				["Everlook"] = 491,
				["Thunder Bluff"] = 220,
				["Camp Taurajo"] = 138,
				["Valormok"] = 359,
				["Shadowprey Village"] = 327,
				["Splintertree Post"] = 349,
				["Bloodvenom Post"] = 431,
				["Camp Mojache"] = 125,
				["Sun Rock Retreat"] = 332,
				["Moonglade"] = 592,
				["Orgrimmar"] = 339,
				["Cenarion Hold"] = 256,
				["Gadgetzan"] = 94,
				["Brackenwall Village"] = 317,
				["Zoram'gar Outpost"] = 419,
			},
			["Undercity"] = {
				["Revantusk Village"] = 286,
				["Hammerfall"] = 302,
				["Light's Hope Chapel"] = 264,
				["The Sepulcher"] = 107,
				["Tarren Mill"] = 142,
				["Kargath"] = 491,
				["Stonard"] = 773,
				["Booty Bay"] = 926,
				["Thorium Point"] = 548,
				["Flame Crest"] = 580,
				["Grom'gol"] = 806,	
			},
			["Gadgetzan"] = {
				["Crossroads"] = 307,
				["Camp Mojache"] = 195,
				["Orgrimmar"] = 352,
				["Cenarion Hold"] = 242,
				["Thunder Bluff"] = 305,
				["Camp Taurajo"] = 226,
				["Valormok"] = 448,
				["Shadowprey Village"] = 416,
				["Splintertree Post"] = 438,
				["Freewind Post"] = 89,
				["Sun Rock Retreat"] = 421,
				["Moonglade"] = 681,
				["Everlook"] = 580,
				["Brackenwall Village"] = 223,
				["Bloodvenom Post"] = 520,
				["Zoram'gar Outpost"] = 508,
			},
			["Booty Bay"] = {
				["Kargath"] = 395,
				["Stonard"] = 252,
				["Grom'gol"] = 103,
				["Refuge Pointe"] = 740,
				["Thorium Point"] = 481,
				["Chillwind Camp"] = 773,
				["Light's Hope Chapel"] = 773,
				["Southshore"] = 753,
			},
			["Camp Taurajo"] = {
				["Everlook"] = 387,
				["Thunder Bluff"] = 116,
				["Gadgetzan"] = 222,
				["Valormok"] = 255,
				["Shadowprey Village"] = 276,
				["Splintertree Post"] = 242,
				["Freewind Post"] = 127,
				["Brackenwall Village"] = 244,
				["Camp Mojache"] = 252,
				["Sun Rock Retreat"] = 228,
				["Moonglade"] = 488,
				["Cenarion Hold"] = 384,
				["Bloodvenom Post"] = 328,
				["Ratchet"] = 138,
				["Crossroads"] = 80,
				["Orgrimmar"] = 219,
				["Zoram'gar Outpost"] = 315,
			},
			["Stonard"] = {
				["Kargath"] = 287,
				["Booty Bay"] = 262,
				["Flame Crest"] = 199,
				["Grom'gol"] = 190,
				["Undercity"] = 787,
				["Tarren Mill"] = 664,
				["Hammerfall"] = 546,
				["Thorium Point"] = 270,
				["Kargath"] = 287,
			},
			["Tarren Mill"] = {
				["Undercity"] = 137,
				["Hammerfall"] = 116,
				["Revantusk Village"] = 207,
				["Booty Bay"] = 813,
				["The Sepulcher"] = 101,
				["Thorium Point"] = 435,
				["Flame Crest"] = 466,
				["Grom'gol"] = 693,
				["Stonard"] = 661,
				["Kargath"] = 377,
			},
			["Grom'gol"] = {
				["Booty Bay"] = 83,
				["Stonard"] = 207,
				["Kargath"] = 329,
				["Revantusk Village"] = 0,
				["Undercity"] = 815,
				["Flame Crest"] = 415,
				["Tarren Mill"] = 692,
				["Hammerfall"] = 574,
				["Thorium Point"] = 384,
			},
			["Valormok"] = {
				["Crossroads"] = 251,
				["Orgrimmar"] = 122,
				["Everlook"] = 132,
				["Camp Taurajo"] = 342,
				["Freewind Post"] = 440,
				["Bloodvenom Post"] = 233,
				["Camp Mojache"] = 505,
				["Sun Rock Retreat"] = 395,
				["Moonglade"] = 277,
				["Brackenwall Village"] = 352,
				["Gadgetzan"] = 540,
			},
			["The Sepulcher"] = {
				["Undercity"] = 112,
				["Tarren Mill"] = 96,
				["Light's Hope Chapel"] = 380,
			},
			["Sun Rock Retreat"] = {
				["Crossroads"] = 152,
				["Thunder Bluff"] = 317,
				["Shadowprey Village"] = 196,
				["Ratchet"] = 206,
				["Splintertree Post"] = 313,
				["Freewind Post"] = 341,
				["Bloodvenom Post"] = 396,
				["Camp Mojache"] = 404,
				["Moonglade"] = 556,
				["Orgrimmar"] = 293,
				["Brackenwall Village"] = 316,
				["Valormok"] = 323,
				["Camp Taurajo"] = 244,
				["Zoram'gar Outpost"] = 384,
			},
			["Moonglade"] = {
				["Everlook"] = 147,
				["Bloodvenom Post"] = 161,
				["Camp Taurajo"] = 522,
				["Freewind Post"] = 619,
				["Camp Mojache"] = 685,
				["Sun Rock Retreat"] = 574,
				["Crossroads"] = 430,
			},
			["Thunder Bluff"] = {
				["Ratchet"] = 212,
				["Crossroads"] = 159,
				["Gadgetzan"] = 293,
				["Sun Rock Retreat"] = 197,
				["Shadowprey Village"] = 161,
				["Orgrimmar"] = 209,
				["Freewind Post"] = 205,
				["Camp Mojache"] = 255,
				["Gadgetzan"] = 292,
				["Splintertree Post"] = 300,
				["Cenarion Hold"] = 385,
				["Bloodvenom Post"] = 402,
				["Brackenwall Village"] = 240,
				["Camp Taurajo"] = 112,
				["Zoram'gar Outpost"] = 390,
			},
			["Zoram'gar Outpost"] = {
				["Crossroads"] = 230,
				["Splintertree Post"] = 170,
				["Thunder Bluff"] = 404,
				["Camp Taurajo"] = 322,
				["Shadowprey Village"] = 565,
				["Freewind Post"] = 419,
				["Orgrimmar"] = 259,
				["Camp Mojache"] = 485,
				["Sun Rock Retreat"] = 374,
				["Brackenwall Village"] = 394,
				["Bloodvenom Post"] = 473,
			},
			["Splintertree Post"] = {
				["Crossroads"] = 165,
				["Orgrimmar"] = 97,
				["Ratchet"] = 212,
				["Zoram'gar Outpost"] = 168,
				["Thunder Bluff"] = 316,
				["Camp Taurajo"] = 257,
				["Crossroads"] = 165,
				["Shadowprey Village"] = 477,
				["Freewind Post"] = 354,
				["Camp Mojache"] = 420,
				["Sun Rock Retreat"] = 309,
				["Brackenwall Village"] = 320,
				["Gadgetzan"] = 508,
			},
			["Camp Mojache"] = {
				["Crossroads"] = 269,
				["Gadgetzan"] = 193,
				["Everlook"] = 572,
				["Thunder Bluff"] = 261,
				["Valormok"] = 440,
				["Shadowprey Village"] = 202,
				["Splintertree Post"] = 430,
				["Freewind Post"] = 109,
				["Bloodvenom Post"] = 512,
				["Sun Rock Retreat"] = 403,
				["Moonglade"] = 673,
				["Cenarion Hold"] = 131,
				["Orgrimmar"] = 403,
				["Brackenwall Village"] = 433,
				["Zoram'gar Outpost"] = 500,
			},
		},
	};
end

--[[ to be used
function InFlight:LoadNewDefaults()
		["Falcon Watch"] = {
			["Swamprat Post"] = 70,
			["Thrallmar"] = 73,
		},
		["Shattrath"] = {
			["Swamprat Post"] = 80,
			["Falcon Watch"] = 78,
			["Zabra'jin"] = 137,
		},
		["Spinebreaker Ridge"] = {
			["Thrallmar"] = 65,
		},
		["Swamprat Post"] = {
			["Shattrath"] = 88,
			["Falcon Watch"] = 63,
			["Spinebreaker Ridge"] = 202,
		},
		["Thrallmar"] = {
			["Shattrath"] = 138,
			["Spinebreaker Ridge"] = 66,
			["Swamprat Post"] = 136,
			["Falcon Watch"] = 67,
			["Hellfire Peninsula"] = 70,
		},
		["Hellfire Peninsula"] = {
			["Thrallmar"] = 68,
		},
		["Garadar"] = {
			["Shattrath"] = 77,
			["Zabra'jin"] = 67,
		},
		["Zabra'jin"] = {
			["Garadar"] = 82,
			["Swamprat Post"] = 114,
		},
end
]]--


function InFlight:LoadPOIData()
	self.db.profile.poidata = {
		["Horde"] = {
			["The Hinterlands"] = {
				[819635] = { },
			},
			["Stranglethorn Vale"] = {
				[293618] = { },
			},
			["Moonglade"] = {
				[663985] = { },
				[450890] = { info = "Druid-only", },
			},
			["Thousand Needles"] = {
				[492943] = { },
			},
			["Winterspring"] = {
				[363968] = { },
			},
			["Ashenvale"] = {
				[338460] = { },
			},
			["Arathi Highlands"] = {
				[327057] = { },
			},
			["Dustwallow Marsh"] = {
				[318674] = { },
			},
			["Badlands"] = {
				[449490] = { },
			},
			["Searing Gorge"] = {
				[308656] = { },
			},
			["Orgrimmar"] = {
				[641093] = { },
			},
			["Burning Steppes"] = {
				[241897] = { },
			},
			["Undercity"] = {
				[486119] = { },
			},
			["Desolace"] = {
				[740956] = { },
			},
			["Felwood"] = {
				[538882] = { },
			},
			["Hillsbrad Foothills"] = {
				[187789] = { },
			},
			["Tanaris"] = {
				[255771] = { },
			},
			["The Barrens"] = {
				[304819] = { },
				[591030] = { },
				[371000] = { },
			},
			["Silverpine Forest"] = {
				[425880] = { },
			},
			["Azshara"] = {
				[497717] = { },
			},
			["Feralas"] = {
				[444197] = { },
			},
			["Silithus"] = {
				[367854] = { },
			},
			["Eastern Plaguelands"] = {
				[320540] = { info = "PvP Objective", },
				[572373] = { },
			},
			["Thunder Bluff"] = {
				[500969] = { },
			},
			["Swamp of Sorrows"] = {
				[548008] = { },
			},
			["Stonetalon Mountains"] = {
				[600050] = { },
			},
			["Un'Goro Crater"] = {
				[60510] = { },
			},
		},
		["Alliance"] = {
			["The Hinterlands"] = {
				[461572] = { },
			},
			["The Barrens"] = {
				[371000] = { },
			},
			["Stranglethorn Vale"] = {
				[779053] = { },
			},
			["Eastern Plaguelands"] = {
				[320540] = { info = "PvP Objective", },
				[594409] = { },
			},
			["Duskwood"] = {
				[444218] = { },
			},
			["Winterspring"] = {
				[366989] = { },
			},
			["Ashenvale"] = {
				[480824] = { },
			},
			["Blasted Lands"] = {
				[244899] = { },
			},
			["Redridge Mountains"] = {
				[593900] = { },
			},
			["Un'Goro Crater"] = {
				[60510] = { },
			},
			["Ironforge"] = {
				[478034] = { },
			},
			["Dustwallow Marsh"] = {
				[513187] = { },
			},
			["Felwood"] = {
				[242867] = { },
			},
			["Searing Gorge"] = {
				[307686] = { },
			},
			["Loch Modan"] = {
				[508847] = { },
			},
			["Western Plaguelands"] = {
				[851280] = { },
			},
			["Hillsbrad Foothills"] = {
				[523016] = { },
			},
			["Desolace"] = {
				[104751] = { },
			},
			["Westfall"] = {
				[528093] = { },
			},
			["Wetlands"] = {
				[597692] = { },
			},
			["Tanaris"] = {
				[293803] = { },
			},
			["Stormwind City"] = {
				[623286] = { },
			},
			["Burning Steppes"] = {
				[684527] = { },
			},
			["Azshara"] = {
				[776895] = { },
			},
			["Feralas"] = {
				[430730] = { },
				[460354] = { },
			},
			["Silithus"] = {
				[344850] = { },
			},
			["Darkshore"] = {
				[456820] = { },
			},
			["Teldrassil"] = {
				[940523] = { },
			},
			["Moonglade"] = {
				[674153] = { },
				[450890] = { info = "Druid-only", },
			},
			["Stonetalon Mountains"] = {
				[72437] = { },
			},
			["Arathi Highlands"] = {
				[461919] = { },
			},
		},	
	}
	
	for faction in pairs(self.db.profile.poidata) do
		for zone in pairs(self.db.profile.poidata[faction]) do
			for coord in pairs(self.db.profile.poidata[faction][zone]) do
				self.db.profile.poidata[faction][zone][coord].title = "Flight Master"
				self.db.profile.poidata[faction][zone][coord].icon = "TaxiIcon"
				self.db.profile.poidata[faction][zone][coord].titleB = 0
				self.db.profile.poidata[faction][zone][coord].titleR = 0
			end
		end
	end
end

-- remove the old carto data
function InFlight:RemoveOldData()
	if CartographerDB and CartographerDB.namespaces and CartographerDB.namespaces.Notes then
		for zone in pairs(CartographerDB.namespaces.Notes.account.pois) do
			for coord in pairs(CartographerDB.namespaces.Notes.account.pois[zone]) do
				if CartographerDB.namespaces.Notes.account.pois[zone][coord].creator == "InFlight" then
					CartographerDB.namespaces.Notes.account.pois[zone][coord] = nil
				end
			end
		end
	end
	if InFlightVars then
		if InFlightVars.x then
			self.db.profile.x = InFlightVars.x
			InFlightVars.x = nil
			self.db.profile.y = InFlightVars.y
			InFlightVars.y = nil
		end
		for faction in pairs(InFlightVars) do
			for source in pairs(InFlightVars[faction]) do 
				InFlightVars[faction][source].notetaken = nil 
			end
		end
	end
end
