local L = AceLibrary("AceLocale-2.2"):new("KkbKFu")

L:RegisterTranslations("enUS", function()
	return {
		["Options"] = true,
		["Send to"] = true,
		["Channel to send"] = true,
		["Send every player on one line"] = true,
		["Buff format"] = true,
		["Paladin buff format"] = true,
		["Party separator"] = true,
		["Sending options"] = true,
		["Answer to whisps ?"] = true,
		["Request version"] = true,
		["Request assignments"] = true,

		["You don't have anything to buff"] = true,
		["Nothing to buff for"] = true,
		
		["Channel"] = true,
		["Raid"] = true,
		["Party"] = true,
		
		["Reset"] = true,
		
		["Show only own class"] = true,
		
		["Right-click for options, Shift-click to send assignments"] = true,
		
		["Assignments"] = true,
		["group"] = true,
		["group(s)"] = true,
		
	    -- priest
	    ["Priest"] = true,
	    ["FORTITUDE"] =  {"Power Word: Fortitude", "Stamina"},
	    ["SPIRIT"] =  {"Divine Spirit", "Spirit"},
	    ["SHADOW"] =  {"Shadow Protection", "Shadow" },
	    
		-- druid
		["Druid"] = true,
	    ["MARKOFWILD"] = {"Mark of the Wild","Wild" },
	    ["THORNS"] = {"Thorns", "Thorns"},
	    
		-- mage
		["Mage"] = true,
	    ["INTELLECT"] =  {"Arcane Intellect", "Intellect" },
	    ["AMPLIFY"] = { "Amplify magic", "Amplify" },
	    ["DAMPEN"] = { "Dampen magic", "Dampen" },
	    
	    -- paladin
	    ["Paladin"] = true,
	    ["KING"] = { "Blessing of Kings", "Kings" },
	    ["WISDOM"] = { "Blessing of Wisdom", "Wisdom" },
	    ["MIGHT"] = { "Blessing of Might", "Might" },
	    ["LIGHT"] = { "Blessing of Light", "Light" },
	    ["SALVATION"] = { "Blessing of Salvation", "Salvation" },
	    ["SANCTUARY"] = { "Blessing of Sanctuary", "Sanctuary" },
	    
	    ["SHOW_WHISP"] =  "/w " .. UnitName("player") .. " 'kkbk' to get your assigments,"
			.. " 'kkbk all' to get all assignments,"
			.. " 'kkbk druid or priest or mage or paladin' to get assignments for this class.",
	}
end)

L:RegisterTranslations("frFR", function()
	return {
		["Options"] = "Options",
		["Send to"] = "Envoi sur",
		["Channel to send"] = "Canal pour envoyer",
		["Send every player on one line"] = "Envoye chaque joueur sur une seule ligne",
		["Buff format"] = "Format des buffs",
		["Paladin buff format"] = "Format des buffs paladin",
		["Party separator"] = "S\195\169parateur de groupe",
		["Sending options"] = "Options d'envoi",
		["Answer to whisps ?"] = "R\195\169pondre aux whisps ?",
		["Request version"] = "Demande des versions",
		["Request assignments"] = "Demande des assignations",

		["You don't have anything to buff"] = "Vous n'avez rien \195\160 buffer",
		["Nothing to buff for"] = "Rien \195\160 buffer pour",

		["Channel"] = "Canal",
		["Raid"] = "Raid",
		["Party"] = "Groupe",

		["Reset"] = "Relancer",

		["Show only own class"] = "Montrer uniquement sa classe",

		["Right-click for options, Shift-click to send assignments"] = "Clic-droit pour les options, Majuscule-clic pour envoyer les assignations",

		["Assignments"] = "Assignations",
		["group"] = "groupe",
		["group(s)"] = "groupe(s)",

	    -- priest
	    ["Priest"] = "Pr\195\170tre",
     	["FORTITUDE"] =  {"Mot de Pouvoir : Endurance", "Endurance"},
	    ["SPIRIT"] =  {"Esprit Divin", "Esprit"},
	    ["SHADOW"] =  {"Protection contre l'Ombre", "Ombre" },

		-- druid
		["Druid"] = "Druide",
     	["MARKOFWILD"] = {"Marque du Fauve","Fauve" },
	    ["THORNS"] = {"Epines", "Epines"},

		-- mage
		["Mage"] = "Mage",
     	["INTELLECT"] =  {"Intelligence des Arcanes", "Intelligence" },
	    ["AMPLIFY"] = { "Amplification de la magie", "Amplification" },
	    ["DAMPEN"] = { "Att\195\169nuation de la magie", "Att\195\169nuation" },

	    -- paladin
	    ["Paladin"] = "Paladin",
	    ["KING"] = { "B\195\169n\195\169diction des Rois", "Roi" },
	    ["WISDOM"] = { "B\195\169n\195\169diction de Sagesse", "Sagesse" },
	    ["MIGHT"] = { "B\195\169n\195\169diction de Puissance", "Puissance" },
	    ["LIGHT"] = { "B\195\169n\195\169diction de Lumi\195\168re", "Lumi\195\168re" },
	    ["SALVATION"] = { "B\195\169n\195\169diction de Salut", "Salut" },
	    ["SANCTUARY"] = { "B\195\169n\195\169diction du Sanctuaire", "Sanctuaire" },
	    
	    ["SHOW_WHISP"] = "/w " .. UnitName("player") .. " 'kkbk' pour recevoir vos assignations, "
				.. "'kkbk all' pour recevoir toutes les assignations, "
				.. "'kkbk pr\195\170tre ou paladin ou druide ou mage' "
				.. "pour recevoir les assignations de cette classe.",
	}
end)

-- german localisation: Aphelandra (Todeskrallen)
L:RegisterTranslations("deDE", function()
	return {
  		["Options"] = "Optionen",
		["Send to"] = "Sende an",
		["Channel to send"] = "Channel zum Senden",
		["Send every player on one line"] = "Pro Spieler eine Zeile",
		["Buff format"] = "Buff-Format",
		["Paladin buff format"] = "Paladin Buff-Format",
		["Party separator"] = "Gruppen-Trenn-Zeichen",
		["Sending options"] = "Sende Optionen",
		["Answer to whisps ?"] = "Antworten auf Fl\195\188stern ?",
		["Request version"] = "Versionsabfrage",
		["Request assignments"] = "Zuweisungsabfrage",

		["You don't have anything to buff"] = "Du hast nichts zu buffen",
		["Nothing to buff for"] = "Nichts zu buffen f\195\188r",

		["Channel"] = "Channel",
		["Raid"] = "Raid",
		["Party"] = "Gruppe",

		["Reset"] = "Reset",

		["Show only own class"] = "Zeige nur eigene Klasse",

		["Right-click for options, Shift-click to send assignments"] = "Rechtsklick f\195\188r Optionen, Shift-Klick zum Senden der Zuweisungen",

		["Assignments"] = "Zuweisungen",
		["group"] = "Gruppe",
		["group(s)"] = "Gruppe(n)",

	    -- priest
	    ["Priest"] = "Priester",
	    ["FORTITUDE"] =  {"Machtwort: Seelenst\195\164rke", "Ausdauer"},
	    ["SPIRIT"] =  {"Gebet der Willenskraft", "Wille"},
	    ["SHADOW"] =  {"Schattenschutz", "Schattensch." },

		-- druid
		["Druid"] = "Druide",
	    ["MARKOFWILD"] = {"Mal der Wildnis", "MdW" },
	    ["THORNS"] = {"Dornen", "Dornen"},

		-- mage
		["Mage"] = "Magier",
	    ["INTELLECT"] =  {"Arkane Intelligenz", "Intelligenz" },
	    ["AMPLIFY"] = { "Magie verst\195\164rken", "M verst\195\164rken" },
	    ["DAMPEN"] = { "Magied\195\164mpfer", "M-D\195\164mpfer" },

	    -- paladin
	    ["Paladin"] = "Paladin",
	    ["KING"] = { "Segen der K\195\182nige", "SdK" },
	    ["WISDOM"] = { "Segen der Weisheit", "SdW" },
	    ["MIGHT"] = { "Segen der Macht", "SdM" },
	    ["LIGHT"] = { "Segen des Lichts", "SdL" },
	    ["SALVATION"] = { "Segen der Rettung", "SdR" },
	    ["SANCTUARY"] = { "Segen des Refugiums", "Refugium" },

	    ["SHOW_WHISP"] =  "/w " .. UnitName("player") .. " kkbk (f\195\188r deine Buffzuweisung),"
			.. " kkbk all (f\195\188r alle Buffzuweisungen),"
			.. " kkbk Druide (oder Priester, Magier, Paladin) (f\195\188r die Zuweisungen dieser Klasse).",
	}
end)
